# ApplicationFramework
TKXmlL
XmlMNaming

# XmlMNaming_Array1OfShape1 Class Reference

`#include <XmlMNaming_Array1OfShape1.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XmlMNaming_Array1OfShape1 (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | XmlMNaming_Array1OfShape1 (const XmlObjMgt_Element &theParent, const XmlObjMgt_DOMString &theName)
Standard_EXPORT void | CreateArrayElement (XmlObjMgt_Element &theParent, const XmlObjMgt_DOMString &theName)
const XmlObjMgt_Element & | Element () const
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, XmlObjMgt_Element &Value)
Standard_EXPORT XmlObjMgt_Element | Value (const Standard_Integer Index) const

## Private Attributes

XmlObjMgt_Element | myElement
Standard_Integer | myFirst
Standard_Integer | myLast

## Constructor & Destructor Documentation

Standard_EXPORT XmlMNaming_Array1OfShape1::XmlMNaming_Array1OfShape1 | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT XmlMNaming_Array1OfShape1::XmlMNaming_Array1OfShape1 | ( | const XmlObjMgt_Element & | theParent,
|  | const XmlObjMgt_DOMString & | theName
| ) |

## Member Function Documentation

Standard_EXPORT void XmlMNaming_Array1OfShape1::CreateArrayElement | ( | XmlObjMgt_Element & | theParent,
|  | const XmlObjMgt_DOMString & | theName
| ) |

const XmlObjMgt_Element& XmlMNaming_Array1OfShape1::Element | ( |  | ) | const

Standard_Integer XmlMNaming_Array1OfShape1::Length | ( |  | ) | const

Standard_Integer XmlMNaming_Array1OfShape1::Lower | ( |  | ) | const

void XmlMNaming_Array1OfShape1::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlMNaming_Array1OfShape1::operator new | ( | size_t | size | ) | `[inline]`

void* XmlMNaming_Array1OfShape1::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void XmlMNaming_Array1OfShape1::SetValue | ( | const Standard_Integer | Index,
|  | XmlObjMgt_Element & | Value
| ) |

Standard_Integer XmlMNaming_Array1OfShape1::Upper | ( |  | ) | const

Standard_EXPORT XmlObjMgt_Element XmlMNaming_Array1OfShape1::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

XmlObjMgt_Element XmlMNaming_Array1OfShape1::myElement `[private]`

Standard_Integer XmlMNaming_Array1OfShape1::myFirst `[private]`

Standard_Integer XmlMNaming_Array1OfShape1::myLast `[private]`

The documentation for this class was generated from the following file:

- XmlMNaming_Array1OfShape1.hxx